[Mailman-Users] ubuntu security update broken

Mark Sapiro mark at msapiro.net
Sat Mar 15 16:08:59 CET 2008

Chuck Peters wrote:

># /var/lib/mailman/bin/update
>Traceback (most recent call last):
>  File "/var/lib/mailman/bin/update", line 51, in <module>
>    from Mailman import MailList
>  File "/usr/lib/mailman/Mailman/MailList.py", line 64, in <module>
>    from Mailman import Gui
>  File "/usr/lib/mailman/Mailman/Gui/__init__.py", line 21, in <module>
>    from General import General
>  File "/var/lib/mailman/Mailman/Gui/General.py", line 438
>    elif property == 'info':
>       ^
>What should I do now?

Talk to your packager (Ubuntu/Debian?).

If you want advice from this list on how to fix this yourself, it would
help if you posted the complete error message, although from what I
see, the exception is probably SyntaxError, but to know what actually
caused it and how to fix it, we need to see  a range of lines, say
428-448 from /var/lib/mailman/Mailman/Gui/General.py.

Mark Sapiro <mark at msapiro.net>        The highway is for gamblers,
San Francisco Bay Area, California    better use your sense - B. Dylan

More information about the Mailman-Users mailing list